%global modulename specificity

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-specificity
Version:        0.4.1
Release:        1%{?dist}
Summary:        Calculate the specificity of a CSS selector

License:        MIT
URL:            https://github.com/keeganstreet/specificity
Source0:        https://registry.npmjs.org/specificity/-/specificity-0.4.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
Calculate the specificity of a CSS selector

%package 0.4.1
Summary:        Calculate the specificity of a CSS selector


%description 0.4.1
Calculate the specificity of a CSS selector

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr dist %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr rollup.config.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr specificity.d.ts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr specificity.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/specificity %{buildroot}/%{_bindir}/specificity


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.md
%license LICENSE
%{_bindir}/specificity
%{nodejs_dir}/%{modulename}

%files 0.4.1
%doc readme.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 26 2018 npm2srpm <dshea@redhat.com> - 0.4.1-1
- Package automatically generated by npm2srpm
